Knowledge Partner
Knowledge Partner
880 views

Method load failed: libnpkit.so.3: cannot open shared object file: Nosuch file or directory

Hello,

Trying to upgrade to IDM4.7/eDirectory 9.1 and it's been a horrible
experience so far.

After upgrading eDirectory this messages fills the ndsd.log

Method load failed: libnpkit.so.3: cannot open shared object file: No
such file or directory

Running ndstrace with +NMAS tells me that something is wrong with the
SAML login method.

Verifying Proxy LCM Method ID: 0x24 Grade: 0x0 MIB: 1 Flags: 0x5
2620434176 NMAS: [2018/10/09 13:24:49.564] Failed to load module:
SAMLLSMLIN_X64.SO
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Loading LSM
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Processing LSM
2620434176 NMAS: [2018/10/09 13:24:49.564] NMAS Audit with Audit PA not
installed
2620434176 NMAS: [2018/10/09 13:24:49.564] AND login sequence includes
the invalid login method: SAML Assertion
2620434176 NMAS: [2018/10/09 13:24:49.564] Login sequence specifies no
login methods
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Processing login
sequence: SAML Assertion


ldd /var/opt/novell/eDirectory/data/nmas-methods/SAMLLSMLIN_X64.SO
linux-vdso.so.1 (0x00007ffc8bda9000)
libnpkit.so.3 => /opt/novell/lib64/libnpkit.so.3
(0x00007f8230893000)
libccs2.so => /opt/novell/lib64/libccs2.so (0x00007f823045b000)
libstdc++.so.6 => /opt/novell/lib64/libstdc++.so.6
(0x00007f82300d8000)
libm.so.6 => /lib64/libm.so.6 (0x00007f822fddb000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f822fbc4000)
libc.so.6 => /lib64/libc.so.6 (0x00007f822f81f000)
libldap_r-2.4.so.2 =>
/opt/novell/eDirectory/lib64/libldap_r-2.4.so.2 (0x00007f822f5cf000)
libsal.so.1 => /opt/novell/eDirectory/lib64/libsal.so.1
(0x00007f822f3b1000)
libssl.so.1.0.0 => /opt/novell/lib64/libssl.so.1.0.0
(0x00007f8230f34000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f822f194000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f822ef90000)
/lib64/ld-linux-x86-64.so.2 (0x00007f8230e9f000)
liblber-2.4.so.2 =>
/opt/novell/eDirectory/lib64/liblber-2.4.so.2 (0x00007f822ed81000)
libresolv.so.2 => /../lib64/libresolv.so.2 (0x00007f822eb6a000)
libcrypto.so.1.0.0 => /opt/novell/lib64/libcrypto.so.1.0.0
(0x00007f822e7fc000)
libnsl.so.1 => /lib64/libnsl.so.1 (0x00007f822e5e3000)






The file exists under /opt/novell/lib64/ with a bunch of other files.

lrwxrwxrwx 1 root root 16 Oct 9 12:24 libccs2.so -> libccs2.so.3.1.0
-rw-r--r-- 1 root root 3331080 Jan 16 2018 libccs2.so.3.1.0
lrwxrwxrwx 1 root root 50 Oct 9 12:24 libcrypto.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libcrypto.so.1.0.0*
-rwxr-xr-x 1 root root 568592 Feb 2 2018 libnpkiapi.so*
-rwxr-xr-x 1 root root 446400 Feb 2 2018 libnpkit.so*
lrwxrwxrwx 1 root root 11 Oct 9 12:24 libnpkit.so.3 -> libnpkit.so*
lrwxrwxrwx 1 root root 11 Oct 9 12:24 libnpkit.so.8 -> libnpkit.so*
-rwxr-xr-x 1 root root 161984 Feb 13 2018 libntls.so*
lrwxrwxrwx 1 root root 47 Oct 9 12:24 libssl.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libssl.so.1.0.0*
lrwxrwxrwx 1 root root 19 Oct 8 17:10 libstdc++.so.6 ->
libstdc++.so.6.0.21*
-rwxr-xr-x 1 root root 1570304 Nov 21 2017 libstdc++.so.6.0.21*
-rw-r--r-- 1 root root 37593 Jan 24 2018 npki.jar


ldd /opt/novell/lib64/libnpkit.so.3
linux-vdso.so.1 (0x00007ffcd9bb0000)
libccs2.so => /opt/novell/lib64/libccs2.so (0x00007f1457930000)
libldap_r-2.4.so.2 =>
/opt/novell/eDirectory/lib64/libldap_r-2.4.so.2 (0x00007f14576e0000)
libsal.so.1 => /opt/novell/eDirectory/lib64/libsal.so.1
(0x00007f14574c2000)
libssl.so.1.0.0 => /opt/novell/lib64/libssl.so.1.0.0
(0x00007f145808e000)
libstdc++.so.6 => /opt/novell/lib64/libstdc++.so.6
(0x00007f145713f000)
libm.so.6 => /lib64/libm.so.6 (0x00007f1456e42000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f1456c2b000)
libc.so.6 => /lib64/libc.so.6 (0x00007f1456886000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1456669000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f1456465000)
liblber-2.4.so.2 =>
/opt/novell/eDirectory/lib64/liblber-2.4.so.2 (0x00007f1456256000)
libresolv.so.2 => /../lib64/libresolv.so.2 (0x00007f145603f000)
libcrypto.so.1.0.0 => /opt/novell/lib64/libcrypto.so.1.0.0
(0x00007f1455cd1000)
libnsl.so.1 => /lib64/libnsl.so.1 (0x00007f1455ab8000)
/lib64/ld-linux-x86-64.so.2 (0x00007f1457fda000)

--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.
Labels (1)
0 Likes
13 Replies
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 09/10/2018 12:28, alekz wrote:

> Trying to upgrade to IDM4.7/eDirectory 9.1 and it's been a horrible
> experience so far.


Which versions are you upgrading from?
On which platform?

HTH.
--
Simon
Micro Focus Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 2018-10-09 14:10, Simon Flood wrote:
> On 09/10/2018 12:28, alekz wrote:
>
>> Trying to upgrade to IDM4.7/eDirectory 9.1 and it's been a horrible
>> experience so far.

>
> Which versions are you upgrading from?
> On which platform?
>
> HTH.


From IDM 4.5.6/8.8.8FTF11 on SLES12SP3.

Btw I ran nmasinst on the SAML method that comes with 4.7 ISO and
restarted eDirectory without any luck.

--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared ob

alekz;2488566 wrote:
Hello,

Trying to upgrade to IDM4.7/eDirectory 9.1 and it's been a horrible
experience so far.

After upgrading eDirectory this messages fills the ndsd.log

Method load failed: libnpkit.so.3: cannot open shared object file: No
such file or directory

Running ndstrace with +NMAS tells me that something is wrong with the
SAML login method.

Verifying Proxy LCM Method ID: 0x24 Grade: 0x0 MIB: 1 Flags: 0x5
2620434176 NMAS: [2018/10/09 13:24:49.564] Failed to load module:
SAMLLSMLIN_X64.SO
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Loading LSM
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Processing LSM
2620434176 NMAS: [2018/10/09 13:24:49.564] NMAS Audit with Audit PA not
installed
2620434176 NMAS: [2018/10/09 13:24:49.564] AND login sequence includes
the invalid login method: SAML Assertion
2620434176 NMAS: [2018/10/09 13:24:49.564] Login sequence specifies no
login methods
2620434176 NMAS: [2018/10/09 13:24:49.564] ERROR: -1662 Processing login
sequence: SAML Assertion


ldd /var/opt/novell/eDirectory/data/nmas-methods/SAMLLSMLIN_X64.SO
linux-vdso.so.1 (0x00007ffc8bda9000)
libnpkit.so.3 => /opt/novell/lib64/libnpkit.so.3
(0x00007f8230893000)
libccs2.so => /opt/novell/lib64/libccs2.so (0x00007f823045b000)
libstdc++.so.6 => /opt/novell/lib64/libstdc++.so.6
(0x00007f82300d8000)
libm.so.6 => /lib64/libm.so.6 (0x00007f822fddb000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f822fbc4000)
libc.so.6 => /lib64/libc.so.6 (0x00007f822f81f000)
libldap_r-2.4.so.2 =>
/opt/novell/eDirectory/lib64/libldap_r-2.4.so.2 (0x00007f822f5cf000)
libsal.so.1 => /opt/novell/eDirectory/lib64/libsal.so.1
(0x00007f822f3b1000)
libssl.so.1.0.0 => /opt/novell/lib64/libssl.so.1.0.0
(0x00007f8230f34000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f822f194000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f822ef90000)
/lib64/ld-linux-x86-64.so.2 (0x00007f8230e9f000)
liblber-2.4.so.2 =>
/opt/novell/eDirectory/lib64/liblber-2.4.so.2 (0x00007f822ed81000)
libresolv.so.2 => /../lib64/libresolv.so.2 (0x00007f822eb6a000)
libcrypto.so.1.0.0 => /opt/novell/lib64/libcrypto.so.1.0.0
(0x00007f822e7fc000)
libnsl.so.1 => /lib64/libnsl.so.1 (0x00007f822e5e3000)






The file exists under /opt/novell/lib64/ with a bunch of other files.

lrwxrwxrwx 1 root root 16 Oct 9 12:24 libccs2.so -> libccs2.so.3.1.0
-rw-r--r-- 1 root root 3331080 Jan 16 2018 libccs2.so.3.1.0
lrwxrwxrwx 1 root root 50 Oct 9 12:24 libcrypto.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libcrypto.so.1.0.0*
-rwxr-xr-x 1 root root 568592 Feb 2 2018 libnpkiapi.so*
-rwxr-xr-x 1 root root 446400 Feb 2 2018 libnpkit.so*
lrwxrwxrwx 1 root root 11 Oct 9 12:24 libnpkit.so.3 -> libnpkit.so*
lrwxrwxrwx 1 root root 11 Oct 9 12:24 libnpkit.so.8 -> libnpkit.so*
-rwxr-xr-x 1 root root 161984 Feb 13 2018 libntls.so*
lrwxrwxrwx 1 root root 47 Oct 9 12:24 libssl.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libssl.so.1.0.0*
lrwxrwxrwx 1 root root 19 Oct 8 17:10 libstdc++.so.6 ->
libstdc++.so.6.0.21*
-rwxr-xr-x 1 root root 1570304 Nov 21 2017 libstdc++.so.6.0.21*
-rw-r--r-- 1 root root 37593 Jan 24 2018 npki.jar


ldd /opt/novell/lib64/libnpkit.so.3
linux-vdso.so.1 (0x00007ffcd9bb0000)
libccs2.so => /opt/novell/lib64/libccs2.so (0x00007f1457930000)
libldap_r-2.4.so.2 =>
/opt/novell/eDirectory/lib64/libldap_r-2.4.so.2 (0x00007f14576e0000)
libsal.so.1 => /opt/novell/eDirectory/lib64/libsal.so.1
(0x00007f14574c2000)
libssl.so.1.0.0 => /opt/novell/lib64/libssl.so.1.0.0
(0x00007f145808e000)
libstdc++.so.6 => /opt/novell/lib64/libstdc++.so.6
(0x00007f145713f000)
libm.so.6 => /lib64/libm.so.6 (0x00007f1456e42000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f1456c2b000)
libc.so.6 => /lib64/libc.so.6 (0x00007f1456886000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1456669000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f1456465000)
liblber-2.4.so.2 =>
/opt/novell/eDirectory/lib64/liblber-2.4.so.2 (0x00007f1456256000)
libresolv.so.2 => /../lib64/libresolv.so.2 (0x00007f145603f000)
libcrypto.so.1.0.0 => /opt/novell/lib64/libcrypto.so.1.0.0
(0x00007f1455cd1000)
libnsl.so.1 => /lib64/libnsl.so.1 (0x00007f1455ab8000)
/lib64/ld-linux-x86-64.so.2 (0x00007f1457fda000)

--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.


I seem to recall seeing this when an old version was left laying around.

Try running


find / -iname 'libnpkit*'


and see what shows up.
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

It may also be worth looking under /etc/ld.so.conf.d/ to see if there is
an ntls.conf file in there. If so, nuke it, run 'ldconfig' (as 'root'),
and then restart services to see if that helps.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 2018-10-09 18:37, ab wrote:
> It may also be worth looking under /etc/ld.so.conf.d/ to see if there is
> an ntls.conf file in there. If so, nuke it, run 'ldconfig' (as 'root'),
> and then restart services to see if that helps.
>

Thanks for the tip ab. Nothing there though.

--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 2018-10-09 18:24, dgersic wrote:
> Try running
>
>
> Code:
> --------------------
>
> find / -iname 'libnpkit*'
>
> --------------------
>
>
> and see what shows up.

Thanks David, nothing odd, some installation files that I was expecting.

I have an SR open now as well, I'll let you know how it goes 🙂

find / -iname 'libnpkit*'
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so.3
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so.8
/root/upgrade/eDirectory/setup/utils/libnpkit.so
/root/upgrade/eDirectory/setup/utils/libnpkit.so.3
/root/upgrade/eDirectory/setup/utils/libnpkit.so.8
/opt/novell/lib64/libnpkit.so
/opt/novell/lib64/libnpkit.so.3
/opt/novell/lib64/libnpkit.so.8
/mnt/iso/IDVault/setup/utils/libnpkit.so
/mnt/iso/IDVault/setup/utils/libnpkit.so.3
/mnt/iso/IDVault/setup/utils/libnpkit.so.8


--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared ob

alekz;2488606 wrote:
On 2018-10-09 18:24, dgersic wrote:
> Try running
>
>
> Code:
> --------------------
>
> find / -iname 'libnpkit*'
>
> --------------------
>
>
> and see what shows up.

Thanks David, nothing odd, some installation files that I was expecting.

I have an SR open now as well, I'll let you know how it goes 🙂

find / -iname 'libnpkit*'
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so.3
/root/upgrade/471/Identity_Manager_4.7.1_Linux/IDVault/setup/utils/libnpkit.so.8
/root/upgrade/eDirectory/setup/utils/libnpkit.so
/root/upgrade/eDirectory/setup/utils/libnpkit.so.3
/root/upgrade/eDirectory/setup/utils/libnpkit.so.8
/opt/novell/lib64/libnpkit.so
/opt/novell/lib64/libnpkit.so.3
/opt/novell/lib64/libnpkit.so.8
/mnt/iso/IDVault/setup/utils/libnpkit.so
/mnt/iso/IDVault/setup/utils/libnpkit.so.3
/mnt/iso/IDVault/setup/utils/libnpkit.so.8


--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.


Hm. Ok. I'm sure I've seen this, but I can't recall the details. You could try 'strace' and see what it's doing around the time it reports the failure.
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

Perhaps ask the process if it has LD_LIBRARY_PATH set properly since it
does not seem like it can see the correct file:


strings /proc/$(pgrep ndsd | head -1)/environ | grep LD_


On a client's box I get this:

LD_PRELOAD=/opt/novell/eDirectory/lib64/libtcmalloc_minimal.so.4
LD_BIND_NOW=1
LD_LIBRARY_PATH=//opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/server://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/native_threads::$LD_LIBRARY_PATH:/opt/novell/eDirectory/lib64/apr:/opt/novell/eDirectory/lib64:/opt/novell/eDirectory/../lib64:/opt/novell/eDirectory/lib64/nds-modules:$LD_LIBRARY_PATH


That is for 9.0 SP3, for what it is worth, still with IDM 4.6.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 2018-10-10 17:37, ab wrote:
> Perhaps ask the process if it has LD_LIBRARY_PATH set properly since it
> does not seem like it can see the correct file:
>
>

> strings /proc/$(pgrep ndsd | head -1)/environ | grep LD_
>

>
> On a client's box I get this:
>

> LD_PRELOAD=/opt/novell/eDirectory/lib64/libtcmalloc_minimal.so.4
> LD_BIND_NOW=1
> LD_LIBRARY_PATH=//opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/server://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/native_threads::$LD_LIBRARY_PATH:/opt/novell/eDirectory/lib64/apr:/opt/novell/eDirectory/lib64:/opt/novell/eDirectory/../lib64:/opt/novell/eDirectory/lib64/nds-modules:$LD_LIBRARY_PATH
>

>
> That is for 9.0 SP3, for what it is worth, still with IDM 4.6.
>

Hello,

The engineer from MF solved it by running strace and editing a file
where he changed LD_LIBRARY_PATH. I think he changed the order of the
directories.

Which file I don't know since Windows Update restarted my computer and
the path was in a Notepad document which wasn't saved at the time.



--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared ob

alekz;2488885 wrote:
On 2018-10-10 17:37, ab wrote:
> Perhaps ask the process if it has LD_LIBRARY_PATH set properly since it
> does not seem like it can see the correct file:
>
>

> strings /proc/$(pgrep ndsd | head -1)/environ | grep LD_
>

>
> On a client's box I get this:
>

> LD_PRELOAD=/opt/novell/eDirectory/lib64/libtcmalloc_minimal.so.4
> LD_BIND_NOW=1
> LD_LIBRARY_PATH=//opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/server://opt/novell/eDirectory/lib64/nds-modules/jre/lib/amd64/native_threads::$LD_LIBRARY_PATH:/opt/novell/eDirectory/lib64/apr:/opt/novell/eDirectory/lib64:/opt/novell/eDirectory/../lib64:/opt/novell/eDirectory/lib64/nds-modules:$LD_LIBRARY_PATH
>

>
> That is for 9.0 SP3, for what it is worth, still with IDM 4.6.
>

Hello,

The engineer from MF solved it by running strace and editing a file
where he changed LD_LIBRARY_PATH. I think he changed the order of the
directories.

Which file I don't know since Windows Update restarted my computer and
the path was in a Notepad document which wasn't saved at the time.



--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.


Hmm. That's interesting. It would seem to indicate that the wrong version or an invalid version was being found. By changing the path order, now you're finding the "right" version first.
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

On 10/15/2018 07:13 AM, alekz wrote:
>
> The engineer from MF solved it by running strace and editing a file where
> he changed LD_LIBRARY_PATH. I think he changed the order of the directories.
>
> Which file I don't know since Windows Update restarted my computer and the
> path was in a Notepad document which wasn't saved at the time.


There's command history for this kind of thing, but even if not there are
only so many places that is defined in a mutable way, and they're either
under /etc/opt/novell/eDirectory or /opt/novell/eDirectory so you can
probably find it.

Better yet, what's the bug number they are creating (presumably) for this?

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
jwilleke Trusted Contributor.
Trusted Contributor.

Re: Method load failed: libnpkit.so.3: cannot open shared ob

We have had ongoing nightmares trying to do upgrades and even new installs with eDirectory 9.1.2 with or without IDM.

Appears there is some vanity of trying to move libs around from Novell to netiq or some silly thing like that.

I have installed, cloned and upgraded using at least a dozen combinations without any consistent success.

Current issue is a clean install of eDirectory 9.1.2 on Red Hat Enterprise Linux Server release 7.6 (Maipo).

try to run ndsconfig and get:
ndsconfig: error while loading shared libraries: libccs2.so: cannot open shared object file: No such file or directory


/etc/ld.so.conf.d/
Has no ntls.conf file.
BTW: Running ldconfig (Still has no file) But not sure which services to restart. (New install)

find / -iname 'libnpkit*' (not showing installation locations)
/opt/novell/lib64/libnpkit.so.8
/opt/novell/lib64/libnpkit.so.3
/opt/novell/lib64/libnpkit.so


Any ideas?
Thanks
-jim
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: Method load failed: libnpkit.so.3: cannot open shared object

It may be worth starting a new thread.

> Code:
> --------------------
> ndsconfig: error while loading shared libraries: libccs2.so: cannot open shared object file: No such file or directory
> --------------------
>
> /etc/ld.so.conf.d/
> Has no ntls.conf file.


Check /etc/ld.so.conf (the file) too, just in case something older is
still in there.

> BTW: Running ldconfig (Still has no file) But not sure which services to
> restart. (New install)
>
> Code:
> --------------------
> find / -iname 'libnpkit*' (not showing installation locations)
> /opt/novell/lib64/libnpkit.so.8
> /opt/novell/lib64/libnpkit.so.3
> /opt/novell/lib64/libnpkit.so
>
> --------------------


The error is, as I see it, about libccs2.so being missing, and I think
that is NICI-related, so while you may have the libnpkit.* files, if they
depend on NICI and NICI is missing or corrupt somehow then that's not
going to work.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.